# Created by pyp2rpm-3.3.5
%define pypi_name nest_asyncio
%define module nest-asyncio
%define py_setup setup.py

Name:           python-%{module}
Version:        1.5.5
Release:        %mkrel 1
Summary:        Patch asyncio to allow nested event loops
Group:          Development/Python
License:        BSD
URL:            https://github.com/erdewit/nest_asyncio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
By design asyncio does not allow its event loop to be nested. This presents a
practical problem: When in an environment where the event loop is already
running it is impossible to run tasks and wait for the result. Trying to do
so will give the error "RuntimeError: This event loop is already running". The
issue pops up in various environments, such as web servers, GUI applications
and in Jupyter notebooks. This module patches asyncio to allow nested use
of asyncio.run and loop.run_until_complete.


%package -n     python3-%{module}
Summary:        Patch asyncio to allow nested event loops
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
By design asyncio does not allow its event loop to be nested. This presents a
practical problem: When in an environment where the event loop is already
running it is impossible to run tasks and wait for the result. Trying to do
so will give the error "RuntimeError: This event loop is already running". The
issue pops up in various environments, such as web servers, GUI applications
and in Jupyter notebooks. This module patches asyncio to allow nested use
of asyncio.run and loop.run_until_complete.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Sep 06 2022 papoteur <papoteur> 1.5.5-1.mga8
+ Revision: 1884629
+ rebuild (emptylog)

* Sun Apr 17 2022 joequant <joequant> 1.5.5-1.mga9
+ Revision: 1850918
- update to 1.5.5

* Wed Mar 23 2022 umeabot <umeabot> 1.5.1-3.mga9
+ Revision: 1823548
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 1.5.1-2.mga9
+ Revision: 1783531
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 1.5.1-1.mga9
+ Revision: 1708289
- initial package python-nest-asyncio

